> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/site/api-site-option-type.md).

# /api/site/option‑type

## GET /api/site/option-type

> Get option types

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/site/option-type"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_site_option-type":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["option_type_id"]}}},"paths":{"/api/site/option-type":{"get":{"description":"Get option types","tags":["/api/site/option-type"],"parameters":[{"name":"option_type_id","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_site_option-type"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_site_option-type"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_site_option-type"}}}}}}}}}
```
